/* -*- mode: c; c-basic-offset: 4; -*- */
#include <mex.h>

#ifdef WINDOWS
#define SNPRINTF _snprintf
#else
#define SNPRINTF snprintf
#endif

#define MAX_HOST_LENGTH 256

/*  Copy the contents of the specfied field of an input array to the 
 *  specified field of the output array
 */
void copy_mxarray(const mxArray* iarray, int ifield, int inx, 
		  mxArray* oarray, int ofield, int oinx);

/*  Get the specified integer data item from the array.
 */
int get_mxarray_int(const mxArray* array, int field, int inx);

/*  Get the specified float data item from the array.
 */
float get_mxarray_float(const mxArray* array, int field, int inx);

/*  Parse the server name specifier into a hostname and port number.
 */
void parse_host_name(const char* in, char** host, short* port);

/*  Put the specified bool (logical) data into the array.
 */
int put_mxarray_bool(mxArray* array, int field, int inx, int val);

/*  Put the specified double data into the array.
 */
int put_mxarray_double(mxArray* array, int field, int inx, double val);

/*  Put the specified float data into the array.
 */
int put_mxarray_float(mxArray* array, int field, int inx, float val);

/*  Put the specified int data into the array.
 */
int put_mxarray_int(mxArray* array, int field, int inx, int val);

/*  Put the specified int data into the array.
 */
int put_mxarray_str(mxArray* array, int field, int inx, const char* val);
